PETSc version 3.15.5
Fix/Edit manual page

# DMCopyDisc

Copy the fields and discrete systems for the DM into another DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyDisc(DM dm, DM newdm)

Collective on dm

### Input Parameter

| dm | - The DM

### Output Parameter

| newdm | - The DM

### See Also

DMCopyFields(), DMCopyDS()

### Level

advanced

### Location

src/dm/interface/dm.c

### Examples

src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex46.c.html
src/ts/tutorials/ex48.c.html
src/tao/tutorials/ex1.c.html
src/tao/tutorials/ex2.c.html
src/tao/tutorials/ex3.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages